# Homelab

## Dependencies
- Vagrant
- ansible
- vagrant-scp

## Setup

For ingress node connected to the internet, I recommend using a VPS of either choice, acting as the public input to the cluster.
To do so, complete the IP in the `inventory/outsider.yml` file.

This VPS needs to be pre-configured with [this script](https://git.halis.io/athens-school/ISO-repository/raw/branch/master/quick-installer.sh).

## Script
- Detect WSL or Linux
- Detect default network interface
- Inject network interface
- Gather IPs (vagrant ssh-config)
- Deploy Ansible playbook
- Download kubeconfig
- Ping cluster (kubectl get nodes)
